Bug 1151322 - When expose-all-logs is used with JTS then no participant for transaction is shown
Summary: When expose-all-logs is used with JTS then no participant for transaction is ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Transaction Manager
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Gytis Trikleris
QA Contact: Ondrej Chaloupka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-10 07:03 UTC by Ondrej Chaloupka
Modified: 2014-10-17 06:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-16 12:16:01 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBTM-2270 Major Open When expose-all-logs is used with JTS then no participant for transaction is shown 2014-10-17 06:08:11 UTC

Description Ondrej Chaloupka 2014-10-10 07:03:28 UTC
There is another issue connected to https://bugzilla.redhat.com/show_bug.cgi?id=900289.

When expose-all-logs is set to true I'm not able to get any participants of the listed transaction.

This is log from operation to get type of transaction and then see all participants.

Reading type of the transaction:
Succesful management operation {
    "operation" => "read-attribute",
    "address" => [
        ("subsystem" => "transactions"),
        ("log-store" => "log-store"),
        ("transactions" => "0:ffff0a280545:2d64af2f:54378290:3c")
    ],
    "name" => "type"
} with result {
    "outcome" => "success",
    "result" => "CosTransactions/XAResourceRecord"
}
Getting participants:
Succesful management operation {
    "operation" => "read-children-names",
    "address" => [
        ("subsystem" => "transactions"),
        ("log-store" => "log-store"),
        ("transactions" => "0:ffff0a280545:2d64af2f:54378290:3c")
    ],
    "child-type" => "participants"
} with result {
    "outcome" => "success",
    "result" => []
}

Comment 2 Gytis Trikleris 2014-10-16 12:16:01 UTC
This functionality is not implemented for JTS yet. Could you please raise a JIRA for this feature request?


Note You need to log in before you can comment on or make changes to this bug.